Skip to main content
`Ctrl`+`K`

# DSSetRefined

Sets a flag to indicate that refined vectors must be computed.

## Synopsis

    #include "slepcds.h"
    PetscErrorCode DSSetRefined(DS ds,PetscBool ref)

Logically Collective

## Input Parameters

- ds - the direct solver context

- ref - a boolean flag

## Notes

Normally the vectors returned in `DS_MAT_X` are eigenvectors of the projected matrix. With this flag activated, `DSVectors()` will return the right singular vector of the smallest singular value of matrix \(\tilde{A}-\theta I\), where \(\tilde{A}\) is the extended \((n+1)\times n\) matrix and \(\theta\) is the Ritz value. This is used in the refined Ritz approximation [Jia, 1997].

The default is `PETSC_FALSE`.

## References

[Jia97]

Z. Jia. Refined iterative algorithms based on Arnoldi's process for large unsymmetric eigenproblems. Linear Algebra Appl., 259(1–3):1–23, 1997. doi:10.1016/S0024-3795(96)00238-8.

## See Also

DS: Direct Solver (or Dense System), `DSVectors()`, `DSGetRefined()`

## Level

advanced

## Location

src/sys/classes/ds/interface/dsbasic.c

Index of all DS routines Table of Contents for all manual pages Index of all manual pages